summaryrefslogtreecommitdiffstats
path: root/sanity/system_light/scripts/kernel.sh~
diff options
context:
space:
mode:
authorRaghavendra Bhat <raghavendrambk@gmail.com>2011-07-13 18:32:10 +0530
committerRaghavendra Bhat <raghavendrambk@gmail.com>2011-07-13 18:32:10 +0530
commitd0de625d5cf9a84840bdd2fa1a88b9614d428cb6 (patch)
tree78011ee5fd1571a1af0b80f4ef406f6d475b6bb3 /sanity/system_light/scripts/kernel.sh~
parentbf87a7d06b054005040dad8dd7ac878210e8939f (diff)
sanity script for testing the functionality of filesystem
Diffstat (limited to 'sanity/system_light/scripts/kernel.sh~')
-rwxr-xr-xsanity/system_light/scripts/kernel.sh~43
1 files changed, 43 insertions, 0 deletions
diff --git a/sanity/system_light/scripts/kernel.sh~ b/sanity/system_light/scripts/kernel.sh~
new file mode 100755
index 0000000..863e3b7
--- /dev/null
+++ b/sanity/system_light/scripts/kernel.sh~
@@ -0,0 +1,43 @@
+#!/bin/bash
+
+#This script 1st searches in the pwd for the kernel tar file. If its not there then based on the value of the vriable KERNEL_PATH it either searches from the path given or searches in http://www.kernel.org
+
+function main()
+{
+ if [ -e "linux-$VERSION.tar.bz2" ]
+ then
+ echo "start:`date +%T`"
+ time $SCRIPTS_PATH/kernel_compile.sh linux-$VERSION.tar.bz2 2>>$LOG_FILE 1>>$LOG_FILE
+ if [ $? -ne 0 ]; then
+ err=$?
+ echo "end:`date +%T`"
+ return 11;
+ else
+ echo "end:`date +%T`"
+ return 0;
+ fi
+ elif [ -z "$KERNEL_PATH" ]
+ then
+ time $SCRIPTS_PATH/kernel_compile.sh 2>>$LOG_FILE 1>>$LOG_FILE
+ if [ $? -ne 0 ]; then
+ err=$?
+ echo "end:`date +%T`"
+ return 11;
+ else
+ echo "end:`date +%T`"
+ return 0;
+ fi
+ else
+ time $SCRIPTS_PATH/kernel_compile.sh $KERNEL_PATH 2>>$LOG_FILE 1>>$LOG_FILE
+ if [ $? -ne 0 ]; then
+ err=$?
+ echo "end:`date +%T`"
+ return 11;
+ else
+ echo "end:`date +%T`"
+ return 0;
+ fi
+ fi;
+}
+
+main "$@"; \ No newline at end of file